## libtermkey 0.17

=== debian/changelog ===
libtermkey (0.17-2) unstable; urgency=medium

  * Build against unibilium rather than ncurses.
  * Make libtermkey-dbg M-A: same

 -- James McCoy <jamessan@debian.org>  Wed, 17 Jun 2015 23:54:30 -0400

libtermkey (0.17-1) unstable; urgency=low

  * Initial upload (Closes: #603298)

 -- James McCoy <jamessan@debian.org>  Thu, 07 May 2015 23:30:15 -0400
