=== debian/changelog ===
libtermkey (0.18-1) unstable; urgency=medium

  * New upstream release

 -- James McCoy <jamessan@debian.org>  Tue, 17 Nov 2015 20:54:45 -0500
