=== debian/control ===
Source: libtermkey
Priority: extra
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends: debhelper (>= 9), libunibilium-dev, libtool-bin, pkg-config, perl
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.leonerd.org.uk/code/libtermkey/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libtermkey.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libtermkey.git/

Package: libtermkey-dev
Section: libdevel
Architecture: any
Depends: libtermkey1 (= ${binary:Version}), ${misc:Depends}
Description: library for processing keyboard input (development files)
 This library allows easy processing of keyboard entry from terminal-based
 programs. It handles all the necessary logic to recognise special keys, UTF-8
 combining, and so on, with a simple interface.
 .
 This package contains the header files and libraries needed for developing
 with libtermkey.

Package: libtermkey1
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for processing keyboard input
 This library allows easy processing of keyboard entry from terminal-based
 programs. It handles all the necessary logic to recognise special keys, UTF-8
 combining, and so on, with a simple interface.  It provides the following
 features:
 .
  * Follows terminfo for every sequence listed there, only falling back on
    other methods to deal with unrecognised input.
  * Recognises special keys (such as arrow and function keys), including
    "modified" keys like Ctrl-Left.
  * Recognises XTerm-style mouse position/button reporting.
  * MIT licenced to allow almost all projects to use it; both Open Source
    and Commercial.
  * Small API - just three functions are needed in simple common cases.
  * Both synchronous (blocking) and asynchronous (non-blocking) APIs are
    supported.

Package: libtermkey-dbg
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Section: debug
Architecture: any
Depends: libtermkey1 (= ${binary:Version}), ${misc:Depends}
Description: library for processing keyboard input (debug symbols)
 This library allows easy processing of keyboard entry from terminal-based
 programs. It handles all the necessary logic to recognise special keys, UTF-8
 combining, and so on, with a simple interface.
 .
 This package contains detached debugging symbols.
