=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export CFLAGS CPPFLAGS LDFLAGS

%:
	dh $@ --parallel

override_dh_auto_build-arch:
	$(MAKE) VERBOSE=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install-arch:
	$(MAKE) VERBOSE=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) DESTDIR=$(CURDIR)/debian/tmp install

override_dh_auto_test:
	$(MAKE) VERBOSE=1 test

override_dh_strip:
	dh_strip --dbg-package=libtermkey-dbg
