## libtermkey 0.19

=== Makefile ===
--- 
+++ 
@@ -49,11 +49,11 @@
 TESTFILES=$(TESTSOURCES:.c=.t)
 
 VERSION_MAJOR=0
-VERSION_MINOR=18
+VERSION_MINOR=19
 
-VERSION_CURRENT=13
+VERSION_CURRENT=14
 VERSION_REVISION=0
-VERSION_AGE=12
+VERSION_AGE=13
 
 PREFIX=/usr/local
 LIBDIR=$(PREFIX)/lib
