=== debian/changelog ===
libtermkey (0.19-1) unstable; urgency=medium

  * New upstream release
    + Drop backported patches

 -- James McCoy <jamessan@debian.org>  Sat, 17 Dec 2016 19:02:20 -0500

libtermkey (0.18-2) unstable; urgency=medium

  * Declare compliance with Policy 3.9.8, no changes needed.
  * Migrate to automatic dbgsym packages.
  * Pass CPPFLAGS through CFLAGS, since upstream Makefile doesn't look at
    CPPFLAGS.
  * Mark libtermkey-dev M-A: same.
  * Cherry-pick a few fixes from upstream:
    + Correct handling of ASCII NUL to imply Ctrl-Space
    + Bugfix for keypad mode switching
    + Endian fix for unicode keys
    + Include <unistd.h> for write+pipe

 -- James McCoy <jamessan@debian.org>  Tue, 11 Oct 2016 19:44:44 -0400
