=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends: debhelper (>= 9), libunibilium-dev, libtool-bin, pkg-config, perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.leonerd.org.uk/code/libtermkey/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libtermkey.git
@@ -10,6 +10,8 @@
 
 Package: libtermkey-dev
 Section: libdevel
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Architecture: any
 Depends: libtermkey1 (= ${binary:Version}), ${misc:Depends}
 Description: library for processing keyboard input (development files)
@@ -41,16 +43,3 @@
   * Small API - just three functions are needed in simple common cases.
   * Both synchronous (blocking) and asynchronous (non-blocking) APIs are
     supported.
-
-Package: libtermkey-dbg
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Section: debug
-Architecture: any
-Depends: libtermkey1 (= ${binary:Version}), ${misc:Depends}
-Description: library for processing keyboard input (debug symbols)
- This library allows easy processing of keyboard entry from terminal-based
- programs. It handles all the necessary logic to recognise special keys, UTF-8
- combining, and so on, with a simple interface.
- .
- This package contains detached debugging symbols.
