=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 
-export CFLAGS CPPFLAGS LDFLAGS
+# Makefile doesn't honor CPPFLAGS
+CFLAGS += $(CPPFLAGS)
+
+export CFLAGS LDFLAGS
 
 %:
 	dh $@ --parallel
@@ -22,4 +25,4 @@
 	$(MAKE) VERBOSE=1 test
 
 override_dh_strip:
-	dh_strip --dbg-package=libtermkey-dbg
+	dh_strip --dbgsym-migration='libtermkey-dbg (<< 0.18-2~)'
