## libtermkey 0.20

=== debian/changelog ===
libtermkey (0.20-3) unstable; urgency=medium

  * Point Vcs-* to salsa.d.o
  * Change Priority to optional, per Policy 4.0.1
  * d/copyright: Use https URL for copyright format
  * Bump debhelper compat to 11
  * Skip tests if nocheck is in DEB_BUILD_OPTIONS
  * Remove “-pie” from hardening options, so PIE is not disabled
  * Set Rules-Requires-Root to no
  * Declare compliance with Policy 4.1.3

 -- James McCoy <jamessan@debian.org>  Sat, 24 Feb 2018 23:04:42 -0500

libtermkey (0.20-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with policy 4.0.0, no changes needed.

 -- James McCoy <jamessan@debian.org>  Thu, 22 Jun 2017 22:41:44 -0400

libtermkey (0.20-1) experimental; urgency=medium

  * New upstream release
    + Added support for DCS and OSC control sequences

 -- James McCoy <jamessan@debian.org>  Wed, 26 Apr 2017 23:19:07 -0400
