=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libtermkey
-Priority: extra
+Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 9), libunibilium-dev, libtool-bin, pkg-config, perl
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11~), libunibilium-dev, libtool-bin, pkg-config, perl
+Standards-Version: 4.1.3
 Section: libs
+Rules-Requires-Root: no
 Homepage: http://www.leonerd.org.uk/code/libtermkey/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libtermkey.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libtermkey.git/
+Vcs-Git: https://salsa.debian.org/jamessan/libtermkey.git
+Vcs-Browser: https://salsa.debian.org/jamessan/libtermkey
 
 Package: libtermkey-dev
 Section: libdevel
