=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

# Makefile doesn't honor CPPFLAGS
CFLAGS += $(CPPFLAGS)

export CFLAGS LDFLAGS

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) VERBOSE=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install-arch:
	$(MAKE) VERBOSE=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) DESTDIR=$(CURDIR)/debian/tmp install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) VERBOSE=1 test
endif

override_dh_strip:
	dh_strip --dbgsym-migration='libtermkey-dbg (<< 0.18-2~)'
