## libtermkey 0.22

=== debian/changelog ===
libtermkey (0.22-2) unstable; urgency=medium

  [ James McCoy ]
  * Bump debhelper-compat to 13
  * Install man pages in libtermkey-dev
  * Document that *.la files are not installed

  [ Helmut Grohne ]
  * Generate a libtool instead of using libtool-bin (Closes: #1064660)

  [ James McCoy ]
  * Build-Depend on pkgconf instead of pkg-config
  * Declare compliance with Policy 4.6.2, no changes needed
  * Build only the library / tests, not the demos
  * blhc: Ignore compilation of test files
  * Add :native qualifier to perl Build-Depends
  * Add <!nocheck> profile for perl Build-Depends
  * Makefile: Use $PKG_CONFIG, if set, to run pkg-config

 -- James McCoy <jamessan@debian.org>  Wed, 20 Mar 2024 18:38:40 -0400

libtermkey (0.22-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete dbgsym migration
  * Support DEB_BUILD_OPTIONS=terse
  * libtermkey1.symbols: Set Build-Depends-Package
  * Switch to debhelper-compat and set to 12
  * Declare compliance with Policy 4.4.1, no changes needed

 -- James McCoy <jamessan@debian.org>  Fri, 20 Dec 2019 08:27:40 -0500
