=== debian/control ===
--- 
+++ 
@@ -1,8 +1,13 @@
 Source: libtermkey
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 11~), libunibilium-dev, libtool-bin, pkg-config, perl
-Standards-Version: 4.1.3
+Build-Depends:
+ debhelper-compat (= 13),
+ libtool,
+ libunibilium-dev,
+ perl:native <!nocheck>,
+ pkgconf,
+Standards-Version: 4.6.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: http://www.leonerd.org.uk/code/libtermkey/
@@ -11,10 +16,13 @@
 
 Package: libtermkey-dev
 Section: libdevel
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Multi-Arch: same
 Architecture: any
-Depends: libtermkey1 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libtermkey1 (= ${binary:Version}),
+ ${misc:Depends},
 Description: library for processing keyboard input (development files)
  This library allows easy processing of keyboard entry from terminal-based
  programs. It handles all the necessary logic to recognise special keys, UTF-8
@@ -24,10 +32,13 @@
  with libtermkey.
 
 Package: libtermkey1
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Multi-Arch: same
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: library for processing keyboard input
  This library allows easy processing of keyboard entry from terminal-based
  programs. It handles all the necessary logic to recognise special keys, UTF-8
