=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

# Makefile doesn't honor CPPFLAGS
CFLAGS += $(CPPFLAGS)

export CFLAGS LDFLAGS

VERBOSE = 1
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	VERBOSE = 0
endif

%:
	dh $@

override_dh_auto_clean: override_dh_auto_configure
	dh_auto_clean -- LIBTOOL="$(CURDIR)/debian/libtool/libtool"
	rm -rf debian/libtool

override_dh_auto_configure:
	mkdir -p debian/libtool
	cp debian/configure.ac debian/libtool/
	env -C debian/libtool LIBTOOLIZE='libtoolize -i' autoreconf -f -i
	dh_auto_configure --sourcedirectory=debian/libtool

override_dh_auto_build-arch:
	dh_auto_build -- VERBOSE=$(VERBOSE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) LIBTOOL="$(CURDIR)/debian/libtool/libtool" libtermkey.la

override_dh_auto_install-arch:
	dh_auto_install -- VERBOSE=$(VERBOSE) PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) DESTDIR=$(CURDIR)/debian/tmp LIBTOOL="$(CURDIR)/debian/libtool/libtool"

override_dh_auto_test:
	@echo 'blhc: ignore-line-regexp: .*\bt/[^.]*.c.*'
	dh_auto_test -- VERBOSE=$(VERBOSE) LIBTOOL="$(CURDIR)/debian/libtool/libtool"
